<?php
include ("conexion.php");
$consfolio=$_GET['consfolio'];
$cons4="SELECT * FROM salida WHERE idSalida='$consfolio' and estado='Finalizada'";
$res4=mysql_query($cons4,$conex) or die ("No se consulto la existencia");
$existe=mysql_num_rows($res4);
if ($consfolio == '')
{
	?>
        <script>
			location.href="main.php?a=47&error=1";
	    </script>
          <?php
}

if ($existe == '0')
{
	?>
        <script>
			location.href="main.php?a=47&error=2";
	    </script>
     <?php
}

$idClinica=mysql_result($res4,0,'idClinica');
$idpaquete=mysql_result($res4,0,'idPaquete');
$fecha=mysql_result($res4,0,'fechaSalida');
$expediente=mysql_result($res4,0,'expedientePaciente');
$nombre=mysql_result($res4,0,'nombrePaciente');
$doctor=mysql_result($res4,0,'doctor');
$monto=mysql_result($res4,0,'montoTotal');
$materia=mysql_result($res4,0,'materia');
$idTratamiento=mysql_result($res4,0,'idTratamiento');
$observaciones=mysql_result($res4,0,'observaciones');

if ($idTratamiento==0)
{
$con2="SELECT nompaquete FROM paquetes WHERE idPaquete='$idpaquete'";
$res2=mysql_query($con2,$conex) or die ("No se realizo con1");
$concepto=mysql_result($res2,0,'nompaquete');
}

if ($idpaquete==0)
{
$con2="SELECT tratamientoCompleto FROM tratamientocompleto WHERE idTratamiento='$idTratamiento'";
$res2=mysql_query($con2,$conex) or die ("No se realizo con1");
$concepto=mysql_result($res2,0,'tratamientoCompleto');
}

//NOMBRE DE LAS CLINICAS ORIGEN Y DESTINO
$cons6="SELECT clinica FROM clinicas WHERE idClinica='$idClinica'";
$res6=mysql_query($cons6,$conex) or die ("No se obtubo el nombre de clinica origen");
$clinica=mysql_result($res6,0,'clinica');

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Clinisys :. Universidad Cuauht&eacute;moc Plantel Aguascalientes</title>
<link href="ucaestilos.css" rel="stylesheet" type="text/css" />
<style type="text/css">
<!--
body {
	background-color: #CCCCCC;
}
-->
</style>
<!--ARCHIVOS PARA LISTA EN TEXTEDIT -->
<script src="ajax.js" language="javascript"></script>
<script src="ajax-dynamic-list2.js" type="text/javascript" ></script>
<script>
function validacanti(id)
{
	var restan=document.getElementById('quedan'+id).value;
	var cantidad=document.getElementById('entrega'+id).value;
	//alert("Si jalo"+id);
	if(restan < cantidad)
	{
		alert("ˇLa cantidad que tiene disponible es "+restan);
		return;
	}
}
</script>
<link href="ajaxestilosautocomplete.css" rel="stylesheet" type="text/css">
<script src="ajax_ejecutarsalida.js" language="javascript"></script>
</head>
<body>
<table width="800" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
  <tr>
    <td><img src="img/top04.jpg" width="800" height="40" /></td>
  </tr>
  <tr>
    <td><table width="790" border="0" align="center">
        <tr>
          <td height="375"><table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td><div align="center" class="style77">ENTREGA DE MATERIAL</div></td>
            </tr>
          </table>
          <table width="100%" border="0" align="center" cellspacing="0">
            <tr>
              <td width="23%"><hr /></td>
              <td width="54%" align="center"><span class="style7">No. Control del Ticket # <span class="style9"><?php echo $consfolio; ?>
              </span></span></td>
              <td width="23%"><hr /></td>
            </tr>
          </table>

            <div align="center">

              <p>

                <?php if (isset($_GET['error']))

      $error=$_GET['error'];

	  //@$prod=$_GET['prod'];



 {



if (isset ($error))

 {

			  $error=$_GET['error'];

			  //$prod=$_GET['prod'];



			  if($error==1)

			  {

			  echo "<p class='style3'>&iexcl;No se ha seleccionado ningun producto!.</p>";

			  }

			  if($error==2)

			  {

			  echo "<p class='style3'>&iexcl;El folio ingresado no existe, intente con otro!.</p>";

			  }

}

else

{

}



}

?>
              </p>
            </div>
              <div align="center" id="proceso">
              </div>
<form action="ejecutarsalida3.php" method="post">
            <div id="contenido">
<?php

echo "<table border=0 align='center' cellpadding='2'>";
echo "<tr bgcolor='#4E5B7B' class='titulo'>";

/*
echo "<td class='style4' align='center'>";
echo "Estado";
echo "</td>";
*/

echo "<td class='style4' align='center'>";
echo " Id ";
echo "</td>";

echo "<td class='style4' align='center'>";
echo "Nombre";
echo "</td>";

echo "<td class='style4' align='center'>";
echo "Derecho a";
echo "</td>";

echo "<td class='style4' align='center'>";
echo "Presentaci&oacute;n";
echo "</td>";

echo "<td class='style4' align='center'>";
echo "Entregado";
echo "</td>";

echo "<td class='style4' align='center'>";
echo "Devuelto";
echo "</td>";

echo "<td class='style4' align='center'>";
echo "Disponible";
echo "</td>";

echo "<td>";
echo "Entregar";
echo "</td>";

echo "</tr>";

include ("conexion.php");

	$conteo=0;
	$cons3="SELECT idProducto,cantidad,entregado FROM contenido_salida WHERE idSalida='$consfolio'";
	$res3=mysql_query($cons3,$conex) or die ("No se realizo el barrido en la tabla contenido_salida");
	if (mysql_num_rows($res3)==0)
	{
		echo "<p class='style10' align='center'>El no. de ticket no contiene ningun producto.</p>";
		echo "<br><input name='generar' type='button' class='boton2' value='Generar carga de productos' onclick='javascript:cargaproductos()'><br><br>";
	}
	while($fila2 = mysql_fetch_array($res3))
	{		
			$query="SELECT clave,nombre,clasificacion FROM productos Where clave='$fila2[0]'";
			$result=mysql_query($query,$conex) or die ("No se consultaron los productos");
			$numero_filas=mysql_num_rows($result);
			$numero_campos= mysql_num_fields($result);
			while($fila = mysql_fetch_array($result))
			{

				if ($conteo==0)
				{
				echo "<tr>";
				}
				else
				{
				echo "<tr bgcolor='#F0F0F0'>";
				}

				//CONSULTO NOMBRE DE LA PRESENTACION

				$cons1="SELECT idPresentacion FROM  productos WHERE clave='".$fila[0]."'";
				$res1=mysql_query($cons1,$conex) or die ("No consulto ID de presentacion");
				$idpresen=mysql_result($res1,0,'idPresentacion');

				$cons2="SELECT presentacion FROM presentaciones WHERE idPresentacion='$idpresen'";
				$res2=mysql_query($cons2,$conex) or die ("No consulto nombre de presentacion");
				$presen=mysql_result($res2,0,'presentacion');

				//IMPRIMO IMAGEN DE ESTADO
				/*
				if ($fila2[2]=='No')
				{$imagen="chkbx";}
				else
				{$imagen="chkbx_si";}

				echo "<td class='style1' align='center'>";
				echo "<img src='img/".$imagen.".jpg' width='15' height='15' />";
				echo "</td>";

				*/
				/* impresion del combobox
				if ($fila2[2]=='No')
				{$status="";}
				else
				{$status="disabled";}

				echo "<td class='style1' align='center'>";
				echo "<input name='entregados[]' type='checkbox' value='".$fila[0]."' ".$status.">";
				echo "</td>";
				*/

					echo "<td class='style1'>";
					echo $fila[0];
					echo "</td>";

				//nombreproducto
				$conx1="SELECT idCambio FROM cambiosventa WHERE idSalida='$consfolio' and clave1='$fila[0]'";
				$rex1=mysql_query($conx1,$conex) or die ("No se realizó cons2");
				$existe=mysql_num_rows($rex1);

				if ($existe==0)
				{
					//nombreproducto
					$conx3="SELECT idCambio FROM cambiosventa WHERE idSalida='$consfolio' and clave2='$fila[0]'";
					$rex3=mysql_query($conx3,$conex) or die ("No se realizó cons2");
					$existe2=mysql_num_rows($rex3);

					if ($existe2==0)
					{
						echo "<td class='style1'>";
						echo $fila[1];
						echo "</td>";
					}
					else
					{
						$idcambio=mysql_result($rex3,0,'idCambio');
						echo "<td class='style1'>";
						//***** cambios
						if ($fila2[2]=='No')
						{
							if ($fila[2] == "Contables variables")
							{
								$palabra = strtok($fila[1]," ");
								$conx2="SELECT clave,nombre FROM productos WHERE nombre like '$palabra%' and clasificacion = 'Contables variables' ORDER BY nombre";
								$rex2=mysql_query($conx2,$conex) or die ("No se pudo consultar los productos");
								echo "<select name='cambio[]' class='cuadrotexto'>";
								echo "<option value=".$fila[0]." >".$fila[1]."</option>";
								While ($campo=mysql_fetch_assoc($rex2)) 
								{
									echo "<option value=".$campo['clave']." >".$campo['nombre']."</option>"; 
								}
								echo "</select>";
								echo "<input name='idcambio[]' type='hidden' id='idcambio' value='".$idcambio."'>";
							}
							if ($fila[2] == "Liquidos - polvos")
							{
								$cons="SELECT clave,nombre FROM productos WHERE clasificacion='Liquidos - polvos' ORDER BY nombre";
								$res=mysql_query($cons,$conex) or die ("No se pudo consultar los productos");
								echo "<select name='cambio[]' class='cuadrotexto'>";
								echo "<option value=".$fila[0]." >".$fila[1]."</option>";
								While ($campo=mysql_fetch_assoc($res)) 
								{
									echo "<option value=".$campo['clave']." >".$campo['nombre']."</option>"; 
								}
								echo "</select>";
								echo "<input name='idcambio[]' type='hidden' id='idcambio' value='".$idcambio."'>";
							}
							if ($fila[2] == "Materiales de impresion")
							{
								$cons="SELECT clave,nombre FROM productos WHERE clasificacion='Materiales de impresion' ORDER BY nombre";
								$res=mysql_query($cons,$conex) or die ("No se pudo consultar los productos");
								echo "<select name='cambio[]' class='cuadrotexto'>";
								echo "<option value=".$fila[0]." >".$fila[1]."</option>";
								While ($campo=mysql_fetch_assoc($res)) 
								{
									echo "<option value=".$campo['clave']." >".$campo['nombre']."</option>"; 
								}
								echo "</select>";
								echo "<input name='idcambio[]' type='hidden' id='idcambio' value='".$idcambio."'>";
							}
							if ($fila[2] == "Contables fijos")
							{
								echo $fila[1];
							}
							if ($fila[2] == "Incontables")
							{
								echo $fila[1];
							}
						}
						else
						{
							echo $fila[1];
						}
						//*********** termina cambios
						echo "</td>";
					}
				}
				else
				{
					$idcambio=mysql_result($rex1,0,'idCambio');
					echo "<td class='style1'>";
					//***** cambios
					if ($fila2[2]=='No')
					{
						if ($fila[2] == "Contables variables")
						{
							$palabra = strtok($fila[1]," ");
							$conx2="SELECT clave,nombre FROM productos WHERE nombre like '$palabra%' and clasificacion = 'Contables variables' ORDER BY nombre";
							$rex2=mysql_query($conx2,$conex) or die ("No se pudo consultar los productos");
							echo "<select name='cambio[]' class='cuadrotexto'>";
							echo "<option value=".$fila[0]." >".$fila[1]."</option>";
							While ($campo=mysql_fetch_assoc($rex2)) 
							{
								echo "<option value=".$campo['clave']." >".$campo['nombre']."</option>"; 
							}
							echo "</select>";
							echo "<input name='idcambio[]' type='hidden' id='idcambio' value='".$idcambio."'>";
						}
						if ($fila[2] == "Liquidos - polvos")
						{
							$cons="SELECT clave,nombre FROM productos WHERE clasificacion='Liquidos - polvos' ORDER BY nombre";
							$res=mysql_query($cons,$conex) or die ("No se pudo consultar los productos");
							echo "<select name='cambio[]' class='cuadrotexto'>";
							echo "<option value=".$fila[0]." >".$fila[1]."</option>";
							While ($campo=mysql_fetch_assoc($res)) 
							{
								echo "<option value=".$campo['clave']." >".$campo['nombre']."</option>"; 
							}
							echo "</select>";
							echo "<input name='idcambio[]' type='hidden' id='idcambio' value='".$idcambio."'>";
						}
						if ($fila[2] == "Materiales de impresion")
						{
							$cons="SELECT clave,nombre FROM productos WHERE clasificacion='Materiales de impresion' ORDER BY nombre";
							$res=mysql_query($cons,$conex) or die ("No se pudo consultar los productos");
							echo "<select name='cambio[]' class='cuadrotexto'>";
							echo "<option value=".$fila[0]." >".$fila[1]."</option>";
							While ($campo=mysql_fetch_assoc($res)) 
							{
								echo "<option value=".$campo['clave']." >".$campo['nombre']."</option>"; 
							}
							echo "</select>";
							echo "<input name='idcambio[]' type='hidden' id='idcambio' value='".$idcambio."'>";
						}
						if ($fila[2] == "Contables fijos")
						{
							echo $fila[1];
						}
						if ($fila[2] == "Incontables")
						{
							echo $fila[1];
						}
					}
					else
					{
						echo $fila[1];
					}
					//*********** termina cambios
					echo "</td>";	
				}

				//CANTIDAD DERECHO A
				$derecho=$fila2[1];
			
				echo "<td class='titulo' bgcolor='#999999'  align='center'>";
				echo $derecho;
				echo "</td>";

				//IMPRIMO PRESENTACION
				echo "<td class='style1'>";
				echo $presen;
				echo "</td>";

				//YA ENTREGADOS
				$entregado=0;
				$cons20="SELECT entregado FROM entregas_material WHERE clave='$fila[0]' and idSalida='$consfolio'";
				$res20=mysql_query($cons20,$conex) or die ("No consulto entregados");
				$filasent=mysql_num_rows($res20);

				if ($filasent==0)
				{
					$entregado=0;
				}
				else
				{
					while($entrega=mysql_fetch_row($res20))
					{
						$entregado=$entregado + $entrega[0];
					}
				}

				echo "<td class='style10' align='center'>";
				echo $entregado;
				echo "</td>";

				//DEVUELTOS
				$devoltotal=0;
				$cons21="SELECT cantidad FROM devolucionesmaterial WHERE clave='$fila[0]' and idSalida='$consfolio'";
				$res21=mysql_query($cons21,$conex) or die ("No consulto devueltos");
				$filasdev=mysql_num_rows($res21);
				
				if ($filasdev==0)
				{
					$devoltotal=0;
				}
				else
				{
					while($devueltos=mysql_fetch_row($res21))
					{
						$devoltotal=$devoltotal + $devueltos[0];
					}
				}
				
				echo "<td class='style10' align='center'>";
				echo $devoltotal;
				echo "</td>";

				//DISPONIBLES
				
				$quedan1=$entregado - $devoltotal;
				$quedan=$fila2[1] - $quedan1;

				//DISPONIBLES
				//$quedan=$fila2[1] - $entregado;
				echo "<td class='style10' align='center'>";
				echo $quedan;
				echo"<input name='quedan".$fila[0]."' type='hidden' class='cuadrotexto' id='quedan".$fila[0]."' size='1' value='$quedan'>";
				echo "</td>";

				//================ CAMBIOS =============
				/*
				if ($fila[2] == "Contables variables")
				{
					echo "<td align='center'>";								
					echo "<a href='cambiosenvariables.php?venta=".$consfolio."&producto=".$fila[0]."' rel='lightbox_text'><img src='img/icon_change.jpg' border='0' ALT='Elegir medida o talla'> </a>";
					echo "</td>";
				}

				if ($fila[2] == "Liquidos - polvos")
				{
					echo "<td align='center'>";
					echo "<a href='cambiosenliquidos.php?venta=".$consfolio."&producto=".$fila[0]."' rel='lightbox_text'><img src='img/icon_change.jpg' border='0' ALT='Seleccionar otro liquido o polvo'> </a>";
					echo "</td>";
				}

				if ($fila[2] == "Materiales de impresion")
				{
					echo "<td align='center'>";
					echo "<a href='cambiosenmateriales.php?venta=".$consfolio."&producto=".$fila[0]."' rel='lightbox_text'><img src='img/icon_change.jpg' border='0' ALT='Selecciona otro material'> </a>";
					echo "</td>";
				}

				if ($fila[2] == "Contables fijos")
				{
					echo "<td class='style10' align='center'>&nbsp;</td>";
				}

				if ($fila[2] == "Incontables")
				{
					echo "<td class='style10' align='center'>&nbsp;</td>";
				}

				*/

				//INPUT DE CUANTOS ENTREGAN

				echo "<td class='style10' align='center' valign='center'>";
				echo "<input name='entrega[]' type='text' class='cuadrotexto' id='entrega[]' size='1' maxlength='4' onKeyPress='if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue = false;' autocomplete='off'><input name='prod[]' type='hidden' class='cuadrotexto' id='prod[]' value='$fila[0]'>";
				//echo "<input name='entrega".$fila[0]."' type='text' class='cuadrotexto' id='entrega".$fila[0]."' size='1' maxlength='4' onKeyPress='if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue = false;' >";
				//echo "&nbsp;<input name='button' type='button' class='boton2' id='button' value='&nbsp;&gt;&nbsp;' onClick='javascript:guardaentrega(&quot;".$fila[0]."&quot;)'>";
				echo "</td>";

				$conteo=$conteo + 1;
				if ($conteo==2)
				{$conteo=0;}
			}





echo "</tr>";



}

echo "</table>";
?>
              <input name="folio" type="hidden" id="folio" value="<?php echo $consfolio; ?>"/>
            </div>
            <br />
              <span class="style4">Ampliar a</span>
                <select name="cuantos" class="cuadrotexto" id="cuantos" onChange="javascript:masart()">
                  <option value="1">1</option>
                  <option value="2">2</option>
                  <option value="3">3</option>
                  <option value="4">4</option>
                  <option value="5">5</option>
                </select>
                <span class="style4">art&iacute;culos</span>
                <div id="masarticulos">
                  <table width="100%" border="0" cellpadding="0" cellspacing="5" bgcolor="#CEEFFF">
                    <tr>
                      <td width="126" height="26" valign="middle" class="style4"><div align="right">Agregar Producto: </div></td>
                      <td width="243" valign="middle"><!--<input name="clave" type="text" class="cuadrotexto" id="clave" value="" size="10">-->
                        <input type="text" class="cuadrotexto" id="nombre1" name="nombre1" onKeyUp="ajax_showOptions(this,'getCountriesByLetters',event)" value="" size="40" autocomplete="off" />
                      <input name="nombre1_hidden" type="hidden" class="cuadrotexto" id="nombre1_hidden" size="3" /></td>
                      <td width="139" valign="middle" class="style4"><div align="right">Cantidad a entregar: </div></td>
                      <td width="251" valign="middle"><span class="style4">
                      <input name="cantidad1" type="text" class="cuadrotexto" id="cantidad1" size="5" maxlength="10" onKeyPress="if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue = false;" />
                      </span></td>
                    </tr>
                  </table>
                </div>
              <table align="center">
        <tr>
			<td align='center'>
			<input name='Enviar' type='submit' class='boton2' value='Ejecutar salida' />
			</td>
		</tr>
        </table>
        <br />
        <table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="54%" valign="top"><table width="420" border="0" cellpadding="0" cellspacing="5">
              <tr>
                <td width="14%"><div id="noimprimible">
                    <div align="right" class="style4"><strong>Paciente:</strong></div>
                </div></td>
                <td colspan="3" class="style9"><?php echo $nombre; ?></td>
              </tr>
              <tr>
                <td class="style4"><div id="noimprimible">
                    <div align="right"><strong>Fecha:</strong></div>
                </div></td>
                <td width="46%" class="style9"><?php echo $fecha; ?></td>
                <td width="12%"><div id="noimprimible">
                    <div align="right" class="style4"><strong>Expediente:</strong></div>
                </div></td>
                <td width="28%" class="style9"><?php echo $expediente; ?></td>
              </tr>
              <tr>
                <td><div id="noimprimible">
                    <div align="right" class="style4"><strong>Alumno:</strong></div>
                </div></td>
                <td colspan="3" class="style9"><?php echo $doctor; ?></td>
              </tr>
              <tr>
                <td class="style4"><div align="right">Materia:</div></td>
                <td colspan="3" class="style9"><?php echo $materia; ?></td>
              </tr>
              <tr>
                <td class="style4"><div align="right"><strong class="style4">Tratamiento:</strong></div></td>
                <td colspan="3" class="style9"><?php echo $concepto; ?></td>
              </tr>
            </table></td>
            <td width="46%" valign="top"><table width="100%" border="0" cellspacing="5" cellpadding="0">
              <tr>
                <td class="style4">Observaciones:</td>
              </tr>
              <tr>
                <td><textarea name="observaciones" cols="60" rows="5" class="cuadrotexto" id="observaciones"><?php echo $observaciones; ?></textarea></td>
              </tr>
            </table></td>
          </tr>
        </table>
        </form>
            <table width="64" border="0" align="center" cellspacing="10">

              <tr>

                <td width="42"  valign="top">

                      

            <form id="form1" name="form1" method="post" action="main.php">

                      <input name="Submit2" type="submit" class="boton2" value="Volver a Inicio" >

            </form>                  </td>



               <!-- <td width="109">

               <div align="center">

                     <input name="Submit"type="submit" class="boton2" value="Ejecutar salida de material">

                </div>

                </td>-->

              </tr>

            </table>            </td>

		</tr>



      </table>





    <table width="100%" border="0">



          <tr>



            <td height="22" bgcolor="#4E5B7B"><table width="99%" border="0" align="center" cellpadding="2" cellspacing="0">



              <tr>



                <td width="50%"><div align="left"><span class="style8">Universidad Cuauht&eacute;moc Plantel Aguascalientes</span></div></td>



                <td width="50%"><div align="right"><span class="style8">Departamento de Sistemas / </span><a href="mailto:des.sistemas@ucuauhtemoc.edu.mx"><span class="style8">Desarrollo</span></a></div></td>



              </tr>



            </table></td>
        </tr>
    </table></td></tr>
</table>
</body>
</html>